<?php include('casa/setup.casa.php');
$codigo_venta = substr(sha1(uniqid()),1,9);

include('inc_scripts.php');
$title = 'Ventas al por Mayor - Seleccione uno o varios productos para vender';
echo "<title>".AppName.' - '.$title."</title>";
$SucCodigo = SucursalUsuario($USID);
$Dollar = Dollar();

$buscar = DataForms::GET('id');
$descrip = DataForms::GET('descrip');

$SucCodigo = SucursalUsuario($USID);

if((trim($buscar)=='')and(trim($descrip)=='')){
  echo '<script>$("#txtBuscar").focus();</script>';
  exit();
}
$descrip = str_replace('%20',' ',$descrip);

function SucursalUsuario($us_codigo){
  $Usuario = new DB();
  $sqlUsuario = "SELECT * FROM rol_usuarios
  WHERE us_id = '$us_codigo';";
  $Usuario->dbSQL($sqlUsuario);
  $Usuario->next();
  $sucursal = $Usuario->dbField('ubica_codigo');

  return $sucursal;
}
?>
<div class="table-responsive">
<table id="ventas" class="display table table-striped table-hover" >
											<thead>
												<tr>													
													<!--th>N&ordm;</th-->
													<th>producto</th>
													<th>piezas disponibles</th>
													<th>precios</th>
													
													<th>cantidad</th> 
													<th>vender</th>
												</tr>
											</thead>											
											<tbody>
											<?php
											if($buscar != ''){													
													$sql = "SELECT * FROM inventarios_productos prod, inventarios_ubicaciones ubi
													WHERE prod.ubica_codigo = ubi.ubica_codigo	
													AND prod.prod_estado = '1'	
													AND prod.prod_item LIKE('%".$buscar."%')									
													ORDER BY prod_id DESC;";	
												}else{
													if($descrip != '&nbsp;'){
														$sql = "SELECT * FROM inventarios_productos prod, inventarios_ubicaciones ubi
														WHERE prod.ubica_codigo = ubi.ubica_codigo	
														AND prod_estado = '1'	
														AND prod.prod_nombre LIKE('%".$descrip."%')									
														ORDER BY prod_id DESC;";
													}else{
														$sql = "SELECT * FROM inventarios_productos WHERE 0";
													}	
												}
												
											$db= new DB();
											$db->dbSQL($sql);
											$html='';
											$i=0;
											while($db->next()){						
											$i++;																													
												$prod_id = $db->dbField('prod_id');
												$ubica_codigo = $db->dbField('ubica_codigo');
													$ubica_nombre = utf8_encode($db->dbField('ubica_nombre'));													
													$ubica_color = $db->dbField('ubica_color');													
														
												$prod_item = $db->dbField('prod_item');
												$prod_codigo = $db->dbField('prod_codigo');
												$prod_nombre = utf8_encode($db->dbField('prod_nombre'));
												$prod_foto = $db->dbField('prod_foto');
													if(($prod_foto=='')or($prod_foto=='vacio')) $prod_foto = 'vacio.png';
												$prod_piezascaja = $db->dbField('prod_piezascaja');
												$prod_cantidadcajas = $db->dbField('prod_cantidadcajas');
												$prod_preciounitario = $db->dbField('prod_preciounitario');
												$prod_preciodocena = $db->dbField('prod_preciodocena');
												$prod_preciocajadocena = $db->dbField('prod_preciocajadocena');
												$prod_fecha = $db->dbField('prod_fecha');
												//Calculos
												$prod_unidadesreal = $db->dbField('prod_unidadesreal');	
												$CantidadRealCajas = number_format($prod_unidadesreal / $prod_piezascaja,2);			
												$prod_observaciones = utf8_encode($db->dbField('prod_observaciones'));	
												  if($prod_observaciones=='') $prod_observaciones='Sin observaciones';
												$html.='<tr>';
													$html.='<td><b>'.($prod_nombre).'</b><br>
															 <small><b>Ubicaci&oacute;n:&nbsp;</b><span style="background:'.$ubica_color.';padding:3px 7px;">'.$ubica_nombre.'</span></small><br>
															 <small><b>Item: </b>'.$prod_item.'</small></td>';
													
													$html.='<td>
															  <b>Piezas Caja:</b>'.$prod_piezascaja.'<br>
															  <b>Cantidad&nbsp;Cajas:&nbsp;</b>'.$CantidadRealCajas.'<br>
															  <b>Total Piezas: </b>'.$prod_unidadesreal.'</td>';														
																									
													$html.='<td>
															  <b>Unitario:&nbsp;</b>$u$.:&nbsp;'.$prod_preciounitario.'<br>
															  Bs:'.$prod_preciounitario*$Dollar.'<br>
															  <b>Docena:&nbsp;</b>.$u$:&nbsp;'.$prod_preciodocena.'<br>
															  Bs:'.$prod_preciodocena*$Dollar.'<br>
															  <b>Caja:&nbsp;</b>$u$.:&nbsp;'.$prod_preciocajadocena.'<br>
															  Bs.'.$prod_preciocajadocena*$Dollar.'</td>';
													//$html.='<td align=center><img src="'.PATH_HOME.'fotos/small_'.$prod_foto.'" width="100px"></td>';
																  
													if($prod_unidadesreal<=0){
														$html.='<td align=center><h1>sin stock</h1></td>';	
														$html.='<td align=center><h1>sin stock</h1></td>';	
													}else{																		  
														$html.='<td width="1%" align=center>
															<div class="form-group form-group-default">
																<label>Cantidad por Precio Unitario:</label>
																<input type="number" id="PrecU_'.$i.'" onkeyup=CalcPrecU("'.$prod_preciounitario.'",$(this).val(),"'.$i.'") style="max-width:37%">
																<input type="text" id="ResPrecU_'.$i.'" style="max-width:40%" disabled>
																<label>Cantidad a Precio de Docena</label>
																<div id="CalcCajasUni_'.$i.'"></div>																
																<input type="number" id="PrecDoc_'.$i.'" onkeyup=CalcPrecDoc("'.$prod_piezascaja.'","'.$prod_preciodocena.'",$(this).val(),"'.$i.'") step="0.25" style="max-width:37%">
																<input type="text" id="ResPrecDoc_'.$i.'" style="max-width:40%" disabled>
																<label>Cantidad a Precio de Caja</label>
																<div id="CalcCajasDocena_'.$i.'"></div>
																<input type="number" id="PrecCajaDoc_'.$i.'" onkeyup=CalcPrecCajaDoc("'.$prod_piezascaja.'","'.$prod_preciocajadocena.'",$(this).val(),"'.$i.'") step="0.05" style="max-width:37%">
																<input type="text" id="ResPrecCajaDoc_'.$i.'" style="max-width:40%" disabled>
																<label>Precio Docena</label>
																<div id="CalcDocena_'.$i.'"></div>
																<input type="number" id="PrecDoc2_'.$i.'" onkeyup=CalcCajaDoc("'.$prod_piezascaja.'","'.$prod_preciodocena.'",$(this).val(),"'.$i.'") step="1" style="max-width:37%">
																<input type="text" id="ResDoc_'.$i.'" style="max-width:40%" disabled>
															<br><b>'.$prod_observaciones.'</b></div>
														</td>';														  															  													
														$html.="<td align='center'>
														<a href='#' onclick=Vender('".$prod_codigo."','".$i."') class='btn btn-primary' style='color:white'>
														AGREGAR</a>
														<a href='".PATH_HOME.'fotos/'.$prod_foto."' target='_blank' class='btn btn-primary' style='color:white'>
														VER FOTO</a></td>";												
													}

												$html.='</tr>';											
												
											}//wend() 
											
											echo $html;
											?>													
											</tbody>
										</table>
</div>

<script src="<?php echo PATH_HOME ?>assets/js/core/popper.min.js"></script>
	<script src="<?php echo PATH_HOME ?>assets/js/core/bootstrap.min.js"></script>
	<script src="<?php echo PATH_HOME ?>assets/js/plugin/jquery-ui-1.12.1.custom/jquery-ui.min.js"></script>
	<script src="<?php echo PATH_HOME ?>assets/js/plugin/jquery-ui-touch-punch/jquery.ui.touch-punch.min.js"></script>
	<script src="<?php echo PATH_HOME ?>assets/js/plugin/datatables/datatables.min.js"></script>
	<script src="<?php echo PATH_HOME ?>assets/js/atlantis.min.js"></script>
	<script src="<?php echo PATH_HOME ?>assets/js/setting-demo.js"></script>
	<script src="<?php echo PATH_HOME ?>assets/js/demo.js"></script>	
	<script src="<?php echo PATH_HOME ?>assets/js/plugin/jquery-scrollbar/jquery.scrollbar.min.js"></script>	
	<script src="<?php echo PATH_HOME; ?>assets/js/plugin/jquery-scrollbar/jquery.scrollbar.min.js"></script>
	
<script>
$(document).ready(function() {			
	$('#ventas').DataTable({
		"pageLength": 2,
	});
});	    

function CalcPrecU(Precio,Cantidad,id){
	CleanText();
	let res = Precio*Cantidad;	
	$("#PrecU_"+id).val(Cantidad);
	$("#ResPrecU_"+id).val(res);
}	
function CalcPrecDoc(CantUniCaja,Precio,Cantidad,id){
	CleanText();
	let res = 12*Precio*Cantidad;
	let cantCajaUni = CantUniCaja*Cantidad;

	$("#PrecDoc_"+id).val(Cantidad);
	$("#ResPrecDoc_"+id).val(res);
	$("#CalcCajasUni_"+id).html("<b>Cantidad: </b>"+(Cantidad*12)+" unidades");	
}	
function CalcPrecCajaDoc(CantUniCaja,Precio,Cantidad,id){
	CleanText();
	let res = Precio*Cantidad;
	let cantCajaUni = CantUniCaja*Cantidad;

	$("#PrecCajaDoc_"+id).val(Cantidad);
	$("#ResPrecCajaDoc_"+id).val(res);
	$("#CalcCajasDocena_"+id).html("<b>"+CantUniCaja+" u * "+Cantidad+" cajas = "+cantCajaUni+"u</b>");	
}	
function CalcCajaDoc(CantUniCaja,Precio,Cantidad,id){
	/*
	CalcDocena_
	PrecDoc_ 
		funcion CalcCajaDoc("'.$prod_piezascaja.'","'.$prod_preciocajadocena.'",$(this).val(),"'.$i.'") 
	ResDoc_
	*/
	CleanText();
	let res = Precio*Cantidad;
	let cantCajaUni = CantUniCaja*Cantidad;

	$("#PrecDoc2_"+id).val(Cantidad);
	$("#ResDoc_"+id).val(res);
	$("#CalcDocena_"+id).html("<b>"+Cantidad+"*"+Precio+"="+res+"</b>");	
}	

function CleanText(){
	<?php
	for($x=1;$x<=$i;$x++){
		echo '$("#CalcCajasUni_'.$x.'").html("");$("#PrecU_'.$x.'").val("");$("#PrecDoc_'.$x.'").val("");$("#PrecDoc2_'.$x.'").val("");$("#PrecCajaDoc_'.$x.'").val("");$("#ResPrecU_'.$x.'").val("");
				$("#ResPrecDoc_'.$x.'").val("");$("#ResPrecCajaDoc_'.$x.'").val("");$("#CalcCajasUni_'.$x.'").html("");$("#CalcCajasDocena_'.$x.'").html("");';
	}
	?>
}

</script>                                    										